<?php
/*
*首页排行榜模块Page
*李初一 QQ：82719519
*/
?>

<?php
//最新榜
function display_ranking_list($time_range) {
    $args = array(
        'post_type' => 'post',
        'posts_per_page' => 10,
        'orderby' => 'date',
        'order' => 'DESC',
        'date_query' => array(
            array(
                'after' => $time_range
            )
        )
    );

    $query = new WP_Query($args);

    if ($query->have_posts()) {
        echo '<ol class="rankingList-module-list">';

        $first_post = true;
        $post_index = 0;

        while ($query->have_posts()) {
            $query->the_post();
            echo '<li class="rank-item" data-index="' . $post_index . '">';
            echo '<span class="order">';
            echo '<img src="https://lgwmat.com/wp-content/themes/miacg/images/num' . ($query->current_post + 1) . '.png">';
            echo '</span>';
            echo '<div class="picture-show" style="' . ($first_post ? 'display: block;' : 'display: none;') . '">';
            echo '<a href="' . get_permalink() . '" target="_blank">';

            if ($first_post) {
                if (has_post_thumbnail()) {
                    echo '<img src="' . get_the_post_thumbnail_url() . '" class="flowerNumber-bookPicture" style="display: none;">';
                } else {
                    $content = get_the_content();
                    preg_match('/<img.+src=[\'"]([^\'"]+)[\'"].*>/i', $content, $matches);
                    if (!empty($matches)) {
                        echo '<img src="' . $matches[1] . '" class="flowerNumber-bookPicture" style="display: none;">';
                    } else {
                        echo '<img src="https://lgwmat.com/wp-content/themes/miacg/images/nopic.png" class="flowerNumber-bookPicture" style="display: none;">';
                    }
                }
            } else {
                if (has_post_thumbnail()) {
                    echo '<img src="' . get_the_post_thumbnail_url() . '" class="flowerNumber-bookPicture" style="display: none;">';
                } else {
                    $content = get_the_content();
                    preg_match('/<img.+src=[\'"]([^\'"]+)[\'"].*>/i', $content, $matches);
                    if (!empty($matches)) {
                        echo '<img src="' . $matches[1] . '" class="flowerNumber-bookPicture" style="display: none;">';
                    } else {
                        echo '<img src="https://lgwmat.com/wp-content/themes/miacg/images/nopic.png" class="flowerNumber-bookPicture" style="display: none;">';
                    }
                }
            }

            echo '<div class="picture-show-info">';
            echo '<p class="picture-show-info-name">' . get_the_title() . '</p>';
            echo '<div class="picture-show-info-bottom">';
            echo '<span>' . get_the_author() . '</span>';
            echo '<div class="flowerNumbers">';
            echo '<img src="https://lgwmat.com/wp-content/themes/miacg/images/money.png">';
            echo '<span>' . get_post_meta(get_the_ID(), 'views', true) . '</span>'; // 获取浏览量数据
            echo '</div>';
            echo '</div>';
            echo '</div>';
            echo '</a>';
            echo '</div>';
            echo '<div class="z-author" style="' . ($first_post ? 'display: none;' : 'display: block;') . '">' . get_the_title() . '</div>';
            echo '<div class="flowerNumber" style="' . ($first_post ? 'display: none;' : 'display: block;') . '">';
            echo '<img src="https://lgwmat.com/wp-content/themes/miacg/images/money.png">';
            echo '<span>' . get_post_meta(get_the_ID(), 'views', true) . '</span>'; // 获取浏览量数据
            echo '</div>';
            echo '</li>';

            $first_post = false;
            $post_index++;
        }

        echo '</ol>';
    } else {
        // 如果没有符合条件的文章，则调用历史文章
        $args = array(
            'post_type' => 'post',
            'posts_per_page' => 10,
            'orderby' => 'date',
            'order' => 'DESC'
        );

        $query = new WP_Query($args);

        if ($query->have_posts()) {
            echo '<ol class="rankingList-module-list">';

            $first_post = true;
            $post_index = 0;

            while ($query->have_posts()) {
                $query->the_post();
                echo '<li class="rank-item" data-index="' . $post_index . '">';
                echo '<span class="order">';
                echo '<img src="https://lgwmat.com/wp-content/themes/miacg/images/num' . ($query->current_post + 1) . '.png">';
                echo '</span>';
                echo '<div class="picture-show" style="' . ($first_post ? 'display: block;' : 'display: none;') . '">';
                echo '<a href="' . get_permalink() . '" target="_blank">';

                if ($first_post) {
                    if (has_post_thumbnail()) {
                        echo '<img src="' . get_the_post_thumbnail_url() . '" class="flowerNumber-bookPicture" style="display: none;">';
                    } else {
                        $content = get_the_content();
                        preg_match('/<img.+src=[\'"]([^\'"]+)[\'"].*>/i', $content, $matches);
                        if (!empty($matches)) {
                            echo '<img src="' . $matches[1] . '" class="flowerNumber-bookPicture" style="display: none;">';
                        } else {
                            echo '<img src="https://lgwmat.com/wp-content/themes/miacg/images/nopic.png" class="flowerNumber-bookPicture" style="display: none;">';
                        }
                    }
                } else {
                    if (has_post_thumbnail()) {
                        echo '<img src="' . get_the_post_thumbnail_url() . '" class="flowerNumber-bookPicture" style="display: none;">';
                    } else {
                        $content = get_the_content();
                        preg_match('/<img.+src=[\'"]([^\'"]+)[\'"].*>/i', $content, $matches);
                        if (!empty($matches)) {
                            echo '<img src="' . $matches[1] . '" class="flowerNumber-bookPicture" style="display: none;">';
                        } else {
                            echo '<img src="https://lgwmat.com/wp-content/themes/miacg/images/nopic.png" class="flowerNumber-bookPicture" style="display: none;">';
                        }
                    }
                }

                echo '<div class="picture-show-info">';
                echo '<p class="picture-show-info-name">' . get_the_title() . '</p>';
                echo '<div class="picture-show-info-bottom">';
                echo '<span>' . get_the_author() . '</span>';
                echo '<div class="flowerNumbers">';
                echo '<img src="https://lgwmat.com/wp-content/themes/miacg/images/money.png">';
                echo '<span>' . get_post_meta(get_the_ID(), 'views', true) . '</span>'; // 获取浏览量数据
                echo '</div>';
                echo '</div>';
                echo '</div>';
                echo '</a>';
                echo '</div>';
                echo '<div class="z-author" style="' . ($first_post ? 'display: none;' : 'display: block;') . '">' . get_the_title() . '</div>';
                echo '<div class="flowerNumber" style="' . ($first_post ? 'display: none;' : 'display: block;') . '">';
                echo '<img src="https://lgwmat.com/wp-content/themes/miacg/images/money.png">';
                echo '<span>' . get_post_meta(get_the_ID(), 'views', true) . '</span>'; // 获取浏览量数据
                echo '</div>';
                echo '</li>';

                $first_post = false;
                $post_index++;
            }

            echo '</ol>';
        } else {
            echo '没有找到文章。';
        }

        wp_reset_postdata();
    }

    wp_reset_postdata();
}
//热门榜
function get_activity_ranking($time_range) {
    $args = array(
        'posts_per_page' => 10,
        'meta_key' => 'views',
        'orderby' => 'meta_value_num',
        'order' => 'DESC',
        'date_query' => array(
            array(
                'after' => $time_range
            )
        )
    );
    $query = new WP_Query($args);

    if ($query->have_posts()) {
        echo '<ol class="rankingList-module-list">';

        $first_post = true;
        $post_index = 0;

        while ($query->have_posts()) {
            $query->the_post();
            echo '<li class="rank-item" data-index="' . $post_index . '">';
            echo '<span class="order">';
            echo '<img src="https://lgwmat.com/wp-content/themes/miacg/images/num' . ($query->current_post + 1) . '.png">';
            echo '</span>';
            echo '<div class="picture-show" style="' . ($first_post ? 'display: block;' : 'display: none;') . '">';
            echo '<a href="' . get_permalink() . '" target="_blank">';

            if ($first_post) {
                if (has_post_thumbnail()) {
                    echo '<img src="' . get_the_post_thumbnail_url() . '" class="flowerNumber-bookPicture" style="display: none;">';
                } else {
                    $content = get_the_content();
                    preg_match('/<img.+src=[\'"]([^\'"]+)[\'"].*>/i', $content, $matches);
                    if (!empty($matches)) {
                        echo '<img src="' . $matches[1] . '" class="flowerNumber-bookPicture" style="display: none;">';
                    } else {
                        echo '<img src="https://lgwmat.com/wp-content/themes/miacg/images/nopic.png" class="flowerNumber-bookPicture" style="display: none;">';
                    }
                }
            } else {
                if (has_post_thumbnail()) {
                    echo '<img src="' . get_the_post_thumbnail_url() . '" class="flowerNumber-bookPicture" style="display: none;">';
                } else {
                    $content = get_the_content();
                    preg_match('/<img.+src=[\'"]([^\'"]+)[\'"].*>/i', $content, $matches);
                    if (!empty($matches)) {
                        echo '<img src="' . $matches[1] . '" class="flowerNumber-bookPicture" style="display: none;">';
                    } else {
                        echo '<img src="https://lgwmat.com/wp-content/themes/miacg/images/nopic.png" class="flowerNumber-bookPicture" style="display: none;">';
                    }
                }
            }

            echo '<div class="picture-show-info">';
            echo '<p class="picture-show-info-name">' . get_the_title() . '</p>';
            echo '<div class="picture-show-info-bottom">';
            echo '<span>' . get_the_author() . '</span>';
            echo '<div class="flowerNumbers">';
            echo '<img src="https://lgwmat.com/wp-content/themes/miacg/images/money.png">';
            echo '<span>' . get_post_meta(get_the_ID(), 'views', true) . '</span>'; // 获取浏览量数据
            echo '</div>';
            echo '</div>';
            echo '</div>';
            echo '</a>';
            echo '</div>';
            echo '<div class="z-author" style="' . ($first_post ? 'display: none;' : 'display: block;') . '">' . get_the_title() . '</div>';
            echo '<div class="flowerNumber" style="' . ($first_post ? 'display: none;' : 'display: block;') . '">';
            echo '<img src="https://lgwmat.com/wp-content/themes/miacg/images/money.png">';
            echo '<span>' . get_post_meta(get_the_ID(), 'views', true) . '</span>'; // 获取浏览量数据
            echo '</div>';
            echo '</li>';

            $first_post = false;
            $post_index++;
        }

        echo '</ol>';
    } else {
        // 如果没有符合条件的文章，则调用历史文章
        $args = array(
            'posts_per_page' => 10,
            'meta_key' => 'views',
            'orderby' => 'meta_value_num',
            'order' => 'DESC'
        );
        $query = new WP_Query($args);

        if ($query->have_posts()) {
            echo '<ol class="rankingList-module-list">';

            $first_post = true;
            $post_index = 0;

            while ($query->have_posts()) {
                $query->the_post();
                echo '<li class="rank-item" data-index="' . $post_index . '">';
                echo '<span class="order">';
                echo '<img src="https://lgwmat.com/wp-content/themes/miacg/images/num' . ($query->current_post + 1) . '.png">';
                echo '</span>';
                echo '<div class="picture-show" style="' . ($first_post ? 'display: block;' : 'display: none;') . '">';
                echo '<a href="' . get_permalink() . '" target="_blank">';

                if ($first_post) {
                    if (has_post_thumbnail()) {
                        echo '<img src="' . get_the_post_thumbnail_url() . '" class="flowerNumber-bookPicture" style="display: none;">';
                    } else {
                        $content = get_the_content();
                        preg_match('/<img.+src=[\'"]([^\'"]+)[\'"].*>/i', $content, $matches);
                        if (!empty($matches)) {
                            echo '<img src="' . $matches[1] . '" class="flowerNumber-bookPicture" style="display: none;">';
                        } else {
                            echo '<img src="https://lgwmat.com/wp-content/themes/miacg/images/nopic.png" class="flowerNumber-bookPicture" style="display: none;">';
                        }
                    }
                } else {
                    if (has_post_thumbnail()) {
                        echo '<img src="' . get_the_post_thumbnail_url() . '" class="flowerNumber-bookPicture" style="display: none;">';
                    } else {
                        $content = get_the_content();
                        preg_match('/<img.+src=[\'"]([^\'"]+)[\'"].*>/i', $content, $matches);
                        if (!empty($matches)) {
                            echo '<img src="' . $matches[1] . '" class="flowerNumber-bookPicture" style="display: none;">';
                        } else {
                            echo '<img src="https://lgwmat.com/wp-content/themes/miacg/images/nopic.png" class="flowerNumber-bookPicture" style="display: none;">';
                        }
                    }
                }

                echo '<div class="picture-show-info">';
                echo '<p class="picture-show-info-name">' . get_the_title() . '</p>';
                echo '<div class="picture-show-info-bottom">';
                echo '<span>' . get_the_author() . '</span>';
                echo '<div class="flowerNumbers">';
                echo '<img src="https://lgwmat.com/wp-content/themes/miacg/images/money.png">';
                echo '<span>' . get_post_meta(get_the_ID(), 'views', true) . '</span>'; // 获取浏览量数据
                echo '</div>';
                echo '</div>';
                echo '</div>';
                echo '</a>';
                echo '</div>';
                echo '<div class="z-author" style="' . ($first_post ? 'display: none;' : 'display: block;') . '">' . get_the_title() . '</div>';
                echo '<div class="flowerNumber" style="' . ($first_post ? 'display: none;' : 'display: block;') . '">';
                echo '<img src="https://lgwmat.com/wp-content/themes/miacg/images/money.png">';
                echo '<span>' . get_post_meta(get_the_ID(), 'views', true) . '</span>'; // 获取浏览量数据
                echo '</div>';
                echo '</li>';

                $first_post = false;
                $post_index++;
            }

            echo '</ol>';
        } else {
            echo '没有找到文章。';
        }

        wp_reset_postdata();
    }
}
//推荐榜
function get_recommendation_ranking($time_range) {
    $args = array(
        'posts_per_page' => 10,
        'orderby' => 'rand',
        'date_query' => array(
            array(
                'after' => $time_range
            )
        )
    );
    $query = new WP_Query($args);

    if ($query->have_posts()) {
        echo '<ol class="rankingList-module-list">';

        $first_post = true;
        $post_index = 0;

        while ($query->have_posts()) {
            $query->the_post();
            echo '<li class="rank-item" data-index="' . $post_index . '">';
            echo '<span class="order">';
            echo '<img src="https://lgwmat.com/wp-content/themes/miacg/images/num' . ($query->current_post + 1) . '.png">';
            echo '</span>';
            echo '<div class="picture-show" style="' . ($first_post ? 'display: block;' : 'display: none;') . '">';
            echo '<a href="' . get_permalink() . '" target="_blank">';

            if ($first_post) {
                if (has_post_thumbnail()) {
                    echo '<img src="' . get_the_post_thumbnail_url() . '" class="flowerNumber-bookPicture" style="display: none;">';
                } else {
                    $content = get_the_content();
                    preg_match('/<img.+src=[\'"]([^\'"]+)[\'"].*>/i', $content, $matches);
                    if (!empty($matches)) {
                        echo '<img src="' . $matches[1] . '" class="flowerNumber-bookPicture" style="display: none;">';
                    } else {
                        echo '<img src="https://lgwmat.com/wp-content/themes/miacg/images/nopic.png" class="flowerNumber-bookPicture" style="display: none;">';
                    }
                }
            } else {
                if (has_post_thumbnail()) {
                    echo '<img src="' . get_the_post_thumbnail_url() . '" class="flowerNumber-bookPicture" style="display: none;">';
                } else {
                    $content = get_the_content();
                    preg_match('/<img.+src=[\'"]([^\'"]+)[\'"].*>/i', $content, $matches);
                    if (!empty($matches)) {
                        echo '<img src="' . $matches[1] . '" class="flowerNumber-bookPicture" style="display: none;">';
                    } else {
                        echo '<img src="https://lgwmat.com/wp-content/themes/miacg/images/nopic.png" class="flowerNumber-bookPicture" style="display: none;">';
                    }
                }
            }

            echo '<div class="picture-show-info">';
            echo '<p class="picture-show-info-name">' . get_the_title() . '</p>';
            echo '<div class="picture-show-info-bottom">';
            echo '<span>' . get_the_author() . '</span>';
            echo '<div class="flowerNumbers">';
            echo '<img src="https://lgwmat.com/wp-content/themes/miacg/images/money.png">';
            echo '<span>' . get_post_meta(get_the_ID(), 'views', true) . '</span>'; // 获取浏览量数据
            echo '</div>';
            echo '</div>';
            echo '</div>';
            echo '</a>';
            echo '</div>';
            echo '<div class="z-author" style="' . ($first_post ? 'display: none;' : 'display: block;') . '">' . get_the_title() . '</div>';
            echo '<div class="flowerNumber" style="' . ($first_post ? 'display: none;' : 'display: block;') . '">';
            echo '<img src="https://lgwmat.com/wp-content/themes/miacg/images/money.png">';
            echo '<span>' . get_post_meta(get_the_ID(), 'views', true) . '</span>'; // 获取浏览量数据
            echo '</div>';
            echo '</li>';

            $first_post = false;
            $post_index++;
        }

        echo '</ol>';
    } else {
        // 如果没有符合条件的文章，则调用历史文章
        $args = array(
            'posts_per_page' => 10,
            'orderby' => 'rand'
        );
        $query = new WP_Query($args);

        if ($query->have_posts()) {
            echo '<ol class="rankingList-module-list">';

            $first_post = true;
            $post_index = 0;

            while ($query->have_posts()) {
                $query->the_post();
                echo '<li class="rank-item" data-index="' . $post_index . '">';
                echo '<span class="order">';
                echo '<img src="https://lgwmat.com/wp-content/themes/miacg/images/num' . ($query->current_post + 1) . '.png">';
                echo '</span>';
                echo '<div class="picture-show" style="' . ($first_post ? 'display: block;' : 'display: none;') . '">';
                echo '<a href="' . get_permalink() . '" target="_blank">';

                if ($first_post) {
                    if (has_post_thumbnail()) {
                        echo '<img src="' . get_the_post_thumbnail_url() . '" class="flowerNumber-bookPicture" style="display: none;">';
                    } else {
                        $content = get_the_content();
                        preg_match('/<img.+src=[\'"]([^\'"]+)[\'"].*>/i', $content, $matches);
                        if (!empty($matches)) {
                            echo '<img src="' . $matches[1] . '" class="flowerNumber-bookPicture" style="display: none;">';
                        } else {
                            echo '<img src="https://lgwmat.com/wp-content/themes/miacg/images/nopic.png" class="flowerNumber-bookPicture" style="display: none;">';
                        }
                    }
                } else {
                    if (has_post_thumbnail()) {
                        echo '<img src="' . get_the_post_thumbnail_url() . '" class="flowerNumber-bookPicture" style="display: none;">';
                    } else {
                        $content = get_the_content();
                        preg_match('/<img.+src=[\'"]([^\'"]+)[\'"].*>/i', $content, $matches);
                        if (!empty($matches)) {
                            echo '<img src="' . $matches[1] . '" class="flowerNumber-bookPicture" style="display: none;">';
                        } else {
                            echo '<img src="https://lgwmat.com/wp-content/themes/miacg/images/nopic.png" class="flowerNumber-bookPicture" style="display: none;">';
                        }
                    }
                }

                echo '<div class="picture-show-info">';
                echo '<p class="picture-show-info-name">' . get_the_title() . '</p>';
                echo '<div class="picture-show-info-bottom">';
                echo '<span>' . get_the_author() . '</span>';
                echo '<div class="flowerNumbers">';
                echo '<img src="https://lgwmat.com/wp-content/themes/miacg/images/money.png">';
                echo '<span>' . get_post_meta(get_the_ID(), 'views', true) . '</span>'; // 获取浏览量数据
                echo '</div>';
                echo '</div>';
                echo '</div>';
                echo '</a>';
                echo '</div>';
                echo '<div class="z-author" style="' . ($first_post ? 'display: none;' : 'display: block;') . '">' . get_the_title() . '</div>';
                echo '<div class="flowerNumber" style="' . ($first_post ? 'display: none;' : 'display: block;') . '">';
                echo '<img src="https://lgwmat.com/wp-content/themes/miacg/images/money.png">';
                echo '<span>' . get_post_meta(get_the_ID(), 'views', true) . '</span>'; // 获取浏览量数据
                echo '</div>';
                echo '</li>';

                $first_post = false;
                $post_index++;
            }

            echo '</ol>';
        } else {
            echo '没有找到文章。';
        }

        wp_reset_postdata();
    }
}
?>
<style>
/*首页排行榜*/
.mi-index-ranking {
    width: 100%;
    background: #F6F6F6;
    overflow: hidden;
    padding-bottom: 20px;
}
.maxWidth {
    margin: 0 auto;
    width: 1300px;
    overflow: hidden;
}
.maxWidth .hd {
    position: relative;
    width: 100%;
    height: 27px;
    margin-bottom: 20px;
}
.maxWidth .underline {
    position: absolute;
    bottom: 0;
    left: 5px;
    background: #F66F0C;
    border-radius: 1.5px;
    width: 40px;
    height: 3px;
}
.mi-index-ranking-tab {
    font-size: 16px;
    color: #999;
    height: 20px;
    line-height: 20px;
    list-style: none;
    margin: 60px 0 20px;
    overflow: hidden;
}
.mi-index-ranking-tab > li.on {
    color: #2C2C2C;
}
.mi-index-ranking-tab > li {
    float: left;
    margin-right: 30px;
    font-size: 16px;
    color: #999999;
    font-weight: bolder;
    cursor: pointer;
}
.mi-index-ranking-contentList {
    overflow: hidden;
}
.rankingList {
    width: 1300px;
    overflow: hidden;
}
.rankingList > .rankingList-module {
    width: 416px;
    height: 570px;
    padding: 30px 36px 14px;
    float: left;
    background-color: #fff;
    border-radius: 6px;
    box-sizing: border-box;
    margin: 8px;
}
.rankingList-module-title {
    margin-bottom: 22px;
    height: 20px;
}
.title-name {
    font-size: 16px;
    font-weight: bold;
    color: #2c2c2c;
    float: left;
    margin-right: 4px;
    line-height: 20px;
}
.title-tab {
    float: left;
    width: 38px;
    height: 20px;
    line-height: 20px;
    text-align: center;
    font-size: 12px;
    color: #999;
    background-color: #F6F6F6;
    border-radius: 14px;
    margin-left: 6px;
    cursor: pointer;
}
.title-tab.active {
    color: #f66f0c;
    background-color: #FFF5EF;
}
.title-stateList {
    position: relative;
    float: right;
    font-size: 0;
    color: #2c2c2c;
    padding-bottom: 2px;
    cursor: pointer;
}
.title-stateList > span {
    display: inline-block;
    font-size: 12px;
    margin-right: 4px;
}
.rankingList-module-list > li {
    margin-top: 12px;
    width: 100%;
    line-height: 18px;
    overflow: hidden;
    cursor: pointer;
}
.rankingList-module-list > li > .order {
    float: left;
    width: 18px;
    height: 21px;
    margin-right: 16px;
}
.rankingList-module-list > li > .order > img {
    width: 100%;
    height: 100%;
}
.rankingList-module-list > li .picture-show {
    position: relative;
    float: left;
    width: 310px;
    height: 174px;
    background: #D8D8D8;
    border-radius: 6px;
}
.rankingList-module-list > li .flowerNumber-bookPicture {
    display: block!important;
    width: 100%;
    height: 100%;
    border-radius: 6px;
}
.picture-show-info {
    position: absolute;
    left: 0;
    bottom: 0;
    width: 100%;
    height: 60px;
    padding: 0 16px;
    box-sizing: border-box;
    background-image: linear-gradient(-180deg, rgba(0, 0, 0, 0.00) 0%, rgba(0, 0, 0, 0.56) 100%);
    border-bottom-left-radius: 6px;
    border-bottom-right-radius: 6px;
}
.picture-show-info > .picture-show-info-name {
    font-size: 14px;
    color: #fff;
    height: 18px;
    margin: 18px 0 2px;
    overflow: hidden;
}
.picture-show-info-bottom {
    line-height: 14px;
    overflow: hidden;
}
.picture-show-info-bottom > span {
    float: left;
    font-size: 12px;
    color: #fff;
}
.picture-show-info-bottom > .flowerNumber, .picture-show-info-bottom > .flowerNumbers {
    line-height: 14px;
    float: right;
}
.picture-show-info-bottom > .flowerNumber > span, .picture-show-info-bottom > .flowerNumber > img, .picture-show-info-bottom > .flowerNumbers > span, .picture-show-info-bottom > .flowerNumbers > img {
    display: block;
    float: left;
    color: #fff;
    font-size: 12px;
}
.picture-show-info-bottom > .flowerNumber > img, .picture-show-info-bottom > .flowerNumbers > img {
    width: 12px;
    margin-top: 2px;
    margin-right: 6px;
}
.rankingList-module-list > li > .flowerNumber > span, .rankingList-module-list > li > .flowerNumbers > span {
    font-size: 12px;
    margin-left: 6px;
}
.rankingList-module-list > li > .flowerNumber > img, .rankingList-module-list > li > .flowerNumber > span, .rankingList-module-list > li > .flowerNumbers > img, .rankingList-module-list > li > .flowerNumbers > span {
    vertical-align: middle;
    display: inline-block;
}
.rankingList-module-list > li > .flowerNumber > img, .rankingList-module-list > li > .flowerNumbers > img {
    width: 12px;
}
.rankingList-module-list > li > .flowerNumber, .rankingList-module-list > li > .flowerNumbers {
    width: 40px;
    float: right;
    font-size: 0;
    color: #999;
}
.rankingList-module-list > li > .z-author {
    font-size: 14px;
    color: #2C2C2C;
    width: 235px;
    height: 20px;
    line-height: 20px;
    float: left;
    overflow: hidden;
}
@media screen and (min-width: 850px){
/*dm社交模式*/
.social-top .site-header .header-banner-content {
    height: 40px;
    position: relative;
}
.social-top .header-banner {
    height: 40px;
    background: rgba(255,255,255,.7);
    position: absolute;
    width: 100%;
}
.social-top .top-search {
    top: 4px;
}
.social-top .micnt-logo {
    height: 25px;
    width: 90px;
}
.social-top .m-head-new {
    height: 250px;
    width: 100%;
    background: url(../banner1011.jpg) center center no-repeat;
    box-shadow: 0px -48px 80px 0 #fff inset;
}
.social-top .site-content {
    padding-bottom: 0;
    margin-top: 185px;
}
.social-top .site-header-in {
    position: relative;
}
.social-top .mi-searchpc .search-input {
    -webkit-border-radius: 8px;
    -moz-border-radius: 8px;
    border-radius: 8px;
}
.social-top .action .site-header-in {
    position: fixed!important;
    width: 100%;
    z-index: 7;
    margin-top: -190px;
}
.social-top .action .m-head-new {
    height: 190px!important;
}
.social-top .mi-searchpc .top-search form {
    background-color: rgb(255 255 255);
    box-sizing: border-box;
    display: flex;
    align-items: center;
    position: relative;
    width: 245px;
    height: 30px;
    padding: 0 15px;
    border: 1px solid #f3f3f3;
    border-radius: 15px;
}
.social-top .mi-searchpc .top-search form:hover {
    border-color: var(--mistyle3color);
}
.social-top .mi-searchpc .search-input {
    width: 100%;
    height: 17px;
    border: none;
    outline: none;
    background: 0 0;
    padding: 0 5px;
    font-size: 14px;
}
.social-top .mi-searchpc .search-button-action{
    line-height: 30px;
    background: 0 0;
}
.social-top .search-button-action i.b2-search-line {
    color: #ffa6a6;
}
.social-top .site-header-in .header-login-button button.mobile-hidden {
    margin-left: 0;
    border: 0;
    color: #ffffff!important;
    background: var(--mistyle3color)!important;
    width: 60px;
    height: 58px;
    font-size: 14px;
    display: block;
    position: absolute;
    right: 40px;
    top: -20px;
    border-radius: 8px;
    text-align: center;
    line-height: 43px;
}
.social-top .header-banner-left .menu li a {
    opacity: 1;
    font-size: 14px;
    position: relative;
}
.social-top .header-banner-left .menu li:hover a {
    background: rgba(255,255,255,1);
}
.social-top .header-banner-left .menu li a {
    width: 90px;
    display: inline-block;
    text-align: center;
    line-height: 0;
    transition-duration: 300ms;
    margin-top: -1px;
}
/*menu*/
.u-navitem-other {
    position: absolute;
    right: -15px;
    font-size: 0;
}
.u-navitem-other a {
    line-height: 36px;
    font-size: 14px;
    color: #333;
    display: inline-block;
    margin-right: 25px;
}
.u-navitem-other a:before {
    content: "";
    width: 20px;
    height: 20px;
    display: inline-block;
    vertical-align: middle;
    margin-right: 8px;
}
.u-navitem-welfare:before {
    background-image: url(../nav-welfare.png);
}
.u-navitem-user:before {
    background-image: url(../nav-user.png);
}
.u-navitem-author:before {
    background-image: url(../nav-author.png);
}




}
</style>
<div class="mi-index-ranking">
   <div class="maxWidth">
      <div class="hd">
         <div class="underline"></div>
         <ul class="mi-index-ranking-tab">
            <li class="on">排行榜</li><p style="font-size: 12px;margin-top: 5px;">今日或7天内没有符合的文章则调用历史文章</p>
         </ul>
      </div>
      <div class="mi-index-ranking-contentList bd">
           <div class="rankingList J_tabContent" style="display: block;">
               <!--最新榜-->
               <div class="rankingList-module marginLeftNull" id="latestRankingList">
                   <div class="rankingList-module-title">
                       <h4 class="title-name">最新榜</h4>
                       <span class="title-tab active" data-time-range="today">今日</span>
                       <span class="title-tab" data-time-range="7 days ago">周榜</span>
                       <div class="title-stateList down">
                           <span><a href="rankList" target="_blank">全部</a></span>
                       </div>
                   </div>
                   <div id="dayFlowerRank" style="display: block;">
                       <?php display_ranking_list('today'); ?>
                   </div>
                   <div id="weekFlowerRank" style="display: none;">
                       <?php display_ranking_list('7 days ago'); ?>
                   </div>
               </div>
               <!--热门榜-->
               <div class="rankingList-module marginLeftNuss" id="recommendedRankingList">
                   <div class="rankingList-module-title">
                       <h4 class="title-name">热门榜</h4>
                       <span class="title-tab active" data-time-range="today">今日</span>
                       <span class="title-tab" data-time-range="7 days ago">周榜</span>
                       <div class="title-stateList down">
                           <span><a href="rankList" target="_blank">全部</a></span>
                       </div>
                   </div>
                   <div id="dayactivityRank" style="display: block;">
                       <?php get_activity_ranking('today'); ?>
                   </div>
                   <div id="weekactivityRank" style="display: none;">
                       <?php get_activity_ranking('7 days ago'); ?>
                   </div>
               </div>
               <!--推荐榜-->
               <div class="rankingList-module marginLeftNuss" id="recommendationRankingList">
                   <div class="rankingList-module-title">
                       <h4 class="title-name">推荐榜</h4>
                       <span class="title-tab active" data-time-range="today">今日</span>
                       <span class="title-tab" data-time-range="7 days ago">周榜</span>
                       <div class="title-stateList down">
                           <span><a href="rankList" target="_blank">全部</a></span>
                       </div>
                   </div>
                   <div id="dayarecommendationRank" style="display: block;">
                       <?php get_recommendation_ranking('today'); ?>
                   </div>
                   <div id="weekarecommendationRank" style="display: none;">
                       <?php get_recommendation_ranking('7 days ago'); ?>
                   </div>
               </div>
           </div>
      </div>
   </div>
</div>
<?
